<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.king.modules.ad.mapper.BaseShipInfoMapper">


    <select id="getListBymmsi" resultType="org.king.modules.ad.entity.BaseShipInfo">
        SELECT mmsi,ship_id,ship_name_cn FROM `base_ship_info` where mmsi in (
        <foreach collection="mmsiS" item="mmsi" index="index" separator="," >
            #{mmsi}
        </foreach>
        )
    </select>
</mapper>